Skip to main content
PUT
/
api
/
v1
/
webhooks
/
{webhook_id}
Update a webhook
curl --request PUT \
  --url https://api.example.com/api/v1/webhooks/{webhook_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "collection": "<string>",
  "events": [
    "<string>"
  ],
  "filter": "<string>",
  "enabled": true,
  "headers": {}
}
'
{
  "id": "<string>",
  "account_id": "<string>",
  "url": "<string>",
  "collection": "<string>",
  "events": [
    "<string>"
  ],
  "filter": "<string>",
  "enabled": true,
  "headers": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>"
}

Path Parameters

webhook_id
string
required

Body

application/json

Request body for updating a webhook (all fields optional).

url
string | null
Required string length: 1 - 2048
collection
string | null
Required string length: 1 - 100
events
string[] | null
Minimum array length: 1
filter
string | null
enabled
boolean | null
headers
Headers · object

Response

Successful Response

Webhook details response (secret NOT included).

id
string
required
account_id
string
required
url
string
required
collection
string
required
events
string[]
required
filter
string | null
required
enabled
boolean
required
headers
Headers · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string | null
required